import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  GetDataProtectionPolicyInput,
  GetDataProtectionPolicyResponse,
} from "../models/models_0";
import {
  ServiceInputTypes,
  ServiceOutputTypes,
  SNSClientResolvedConfig,
} from "../SNSClient";
export { __MetadataBearer, $Command };
export interface GetDataProtectionPolicyCommandInput
  extends GetDataProtectionPolicyInput {}
export interface GetDataProtectionPolicyCommandOutput
  extends GetDataProtectionPolicyResponse,
    __MetadataBearer {}
export declare class GetDataProtectionPolicyCommand extends $Command<
  GetDataProtectionPolicyCommandInput,
  GetDataProtectionPolicyCommandOutput,
  SNSClientResolvedConfig
> {
  readonly input: GetDataProtectionPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetDataProtectionPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SNSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetDataProtectionPolicyCommandInput,
    GetDataProtectionPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
