export declare enum SubscriptionLevel {
    off = "off",
    public = "public",
    on = "on"
}
export type ModelDirectiveConfiguration = {
    queries?: Partial<{
        get: Partial<string>;
        list: Partial<string>;
        sync: Partial<string>;
    }>;
    mutations: Partial<{
        create: Partial<string>;
        update: Partial<string>;
        delete: Partial<string>;
    }>;
    subscriptions: Partial<{
        onCreate: Partial<string>[];
        onUpdate: Partial<string>[];
        onDelete: Partial<string>[];
        level: SubscriptionLevel;
    }>;
    timestamps: Partial<{
        createdAt: Partial<string>;
        updatedAt: Partial<string>;
    }>;
};
//# sourceMappingURL=directive.d.ts.map